#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	iso8601
Summary:	Simple module to parse ISO 8601 dates
Summary(pl.UTF-8):	Prosty moduł do analizy dat ISO 8601
Name:		python-%{module}
Version:	0.1.12
Release:	5
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/iso8601/
Source0:	https://files.pythonhosted.org/packages/source/i/iso8601/%{module}-%{version}.tar.gz
# Source0-md5:	4de940f691c5ea759fb254384c8ddcf6
URL:		https://bitbucket.org/micktwomey/pyiso8601
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
%{?with_tests:BuildRequires:	python-pytest}
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
%{?with_tests:BuildRequires:	python3-pytest}
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%description -l pl.UTF-8
Ten moduł analizuje najbardziej popularne postaci łańcuchów dat ISO
8601 (np. 2007-01-14T20:34:22+00:00) i przekształca na obiekty
datetime.

%package -n python3-%{module}
Summary:	Simple module to parse ISO 8601 dates
Summary(pl.UTF-8):	Prosty moduł do analizy dat ISO 8601
Group:		Development/Languages/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
This module parses the most common forms of ISO 8601 date strings
(e.g. 2007-01-14T20:34:22+00:00) into datetime objects.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł analizuje najbardziej popularne postaci łańcuchów dat ISO
8601 (np. 2007-01-14T20:34:22+00:00) i przekształca na obiekty
datetime.

%prep
%setup -qn %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -mpytest iso8601/test_iso8601.py
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python} -mpytest iso8601/test_iso8601.py
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/iso8601/test_*
%endif

%if %{with python3}
%py3_install

%{__rm} $RPM_BUILD_ROOT%{py3_sitescriptdir}/iso8601/test_*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/iso8601
%{py_sitescriptdir}/iso8601-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/iso8601
%{py3_sitescriptdir}/iso8601-%{version}-py*.egg-info
%endif
%changelog
* Mon Mar 01 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-iso8601.git;a=log;h=master

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 15d9669
- release 5 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 5f36dd0
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5837625
- rebuild with python 3.8
- release 3 (by relup.sh)

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> a3e4665
- updated Source0 URL

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 86d7b2e
- release 2 (by relup.sh)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 09f7179
- updated to 0.1.12

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c89f221
- python 3.6
- release 2 (by relup.sh)

* Sat Mar 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 6c5ec07
- updated to 0.1.11, added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> aba9869
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> e98f604
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 80ae967
- automatic change: use py_build/py_install macros

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 9db94d0
- up to 0.1.8; new home

* Sun Oct 27 2013 Elan Ruusamäe <glen@delfi.ee> 5c9c0f3
- new, version 0.1.4

